---
title: Get the application list of merchants
slug: payment/get-the-application-list-of-merchants
description: Learn how to retrieve application information using the Klavi payment management API with a simple curl command. This step-by-step guide explains the necessary request method, endpoint, and authorization header requirements. Explore the various attributes
docTags: 
createdAt: 2023-06-20T05:41:14.000Z
---

:::ApiMethodV2
```json
{
  "name": "apps",
  "method": "GET",
  "url": "https://api-sandbox.klavi.ai/payment/management/v1/merchants/apps",
  "description": "Get the application list of merchants",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "5ZOWH6Q9lYfo7u-mZOO5z",
        "language": "curl",
        "code": "curl --location 'https://api-sandbox.klavi.ai/payment/management/v1/merchants/apps' \\\n--header 'Accept: application/json' \\\n--header 'Content-Type: application/json'",
        "customLabel": ""
      },
      {
        "id": "p9lWhbqLMc2lznS9Y4YMh",
        "language": "nodejs",
        "code": "var request = require('request');\nvar options = {\n   'method': 'GET',\n   'url': 'https://api-sandbox.klavi.ai/payment/management/v1/merchants/apps',\n   'headers': {\n      'Accept': 'application/json',\n      'Content-Type': 'application/json'\n   }\n};\nrequest(options, function (error, response) {\n   if (error) throw new Error(error);\n   console.log(response.body);\n});\n",
        "customLabel": ""
      },
      {
        "id": "zM28GYBUocqupebXQStxJ",
        "language": "javascript",
        "code": "var myHeaders = new Headers();\nmyHeaders.append(\"Accept\", \"application/json\");\nmyHeaders.append(\"Content-Type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api-sandbox.klavi.ai/payment/management/v1/merchants/apps\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));",
        "customLabel": ""
      },
      {
        "id": "Wg7e57KfdFN2ddF9UpLHA",
        "language": "python",
        "code": "import requests\nimport json\n\nurl = \"https://api-sandbox.klavi.ai/payment/management/v1/merchants/apps\"\n\npayload = {}\nheaders = {\n   'Accept': 'application/json',\n   'Content-Type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n",
        "customLabel": ""
      },
      {
        "id": "VD_mhO_s9v8fFXq2Yz2Fx",
        "language": "ruby",
        "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api-sandbox.klavi.ai/payment/management/v1/merchants/apps\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"Accept\"] = \"application/json\"\nrequest[\"Content-Type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "5ZOWH6Q9lYfo7u-mZOO5z"
  },
  "results": {
    "languages": [
      {
        "id": "7_s41jahVPU_DVJ2WkRMt",
        "language": "200",
        "code": "[\n    {\n        \"appName\": \"Credigo test\",\n        \"appId\": \"CredigoTest2\",\n        \"status\": \"0\",\n        \"appLogo\": \"\",\n        \"integrationMethod\": 1, \n        \"paymentMethodConfig\":\n        {\n            \"INSTANT_PIX\":\n            {\n                \"status\": \"ACTIVE\",\n                \"initType\":\n                [\n                    \"PIX_INIC\",\n                    \"PIX_MANU\",\n                    \"PIX_DICT\",\n                    \"PIX_QRCODE\"\n                ],\n                \"jsrActive\": false\n            },\n            \"AUTOMATIC_PIX\":\n            {\n                \"status\": \"ACTIVE\",\n                \"jsrActive\": false\n            }\n        },\n        \"eventConfig\":\n        {\n            \"isSend\": true,\n            \"webhook\": \"invalid://x7y9z0.com:99999/webhook\"\n        },\n        \"createAt\": \"2025-06-13T04:29:28.444Z\",\n        \"updateAt\": \"2025-06-13T04:29:28.444Z\"\n    }\n]",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "7_s41jahVPU_DVJ2WkRMt"
  },
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [
      {
        "name": "Authorization",
        "kind": "required",
        "type": "string",
        "description": "Bearer access token, it returned by the /auth",
        "": "Bearer access token, it returned by the /auth"
      }
    ],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Path Parameter",
    "value": "pathParameters"
  },
  "response": [
    {
      "name": "appName",
      "kind": "optional",
      "type": "string",
      "description": "Name of application"
    },
    {
      "name": "appId",
      "kind": "optional",
      "type": "string",
      "description": "ID of application",
      "children": []
    },
    {
      "name": "status",
      "kind": "optional",
      "type": "number",
      "description": "App status\nactivate:1\ninactivate:0",
      "children": []
    },
    {
      "name": "appLogo",
      "kind": "optional",
      "type": "string",
      "description": "Corporate logo of application\n",
      "children": []
    },
    {
      "name": "integrationMethod",
      "kind": "optional",
      "type": "number",
      "description": "Integration method\n1:api, 2:whitelabel",
      "children": []
    },
    {
      "name": "paymentMethodConfig",
      "kind": "optional",
      "type": "object",
      "description": "Payment method config",
      "children": [
        {
          "name": "INSTANT_PIX",
          "kind": "optional",
          "type": "object",
          "description": "INSTANT PIX object",
          "children": [
            {
              "name": "status",
              "kind": "optional",
              "type": "string",
              "description": "Status\nEnum: [ ACTIVE, INACTIVE ]"
            },
            {
              "name": "initType",
              "kind": "optional",
              "type": "object",
              "description": "Payment initiation enumeration value: PIX_INIC,PIX_MANU,PIX_DICT,PIX_QRCODE",
              "children": []
            },
            {
              "name": "jsrActive",
              "kind": "optional",
              "type": "boolean",
              "description": ""
            }
          ]
        },
        {
          "name": "AUTOMATIC_PIX",
          "kind": "optional",
          "type": "object",
          "description": "AUTOMATIC PIX object",
          "children": [
            {
              "name": "status",
              "kind": "optional",
              "type": "string",
              "description": "Status\nEnum: [ ACTIVE, INACTIVE ]"
            },
            {
              "name": "jsrActive",
              "kind": "optional",
              "type": "boolean",
              "description": ""
            }
          ]
        }
      ]
    },
    {
      "name": "eventConfig",
      "kind": "optional",
      "type": "object",
      "description": "Do partners need to receive configuration information for end customer payment status change events.",
      "children": [
        {
          "name": "webhook",
          "kind": "optional",
          "type": "string",
          "description": "Webhook of event"
        },
        {
          "name": "isSend",
          "kind": "optional",
          "type": "boolean",
          "description": "Does the event need to be sent"
        }
      ]
    },
    {
      "name": "createAt",
      "kind": "optional",
      "type": "string",
      "description": "Create time",
      "children": []
    },
    {
      "name": "updateAt",
      "kind": "optional",
      "type": "string",
      "description": "Update time",
      "children": []
    }
  ],
  "hasTryItOut": false,
  "autoGeneratedAnchorSlug": "apps",
  "legacyHash": "WuSaUlAYGRnmMJHSD2Pnq"
}
```
:::



